Name:		pymecavideo 
Summary:	Pedagogic tool to analyze video records for mechanics
Version:	6.0
Release:	%mkrel 2
Source:		http://download.tuxfamily.org/oppl/sources/%{name}-%{version}.tar.gz
URL:		http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pymecavideo
Group:		Sciences/Physics
Buildrequires:	python-qt4-devel
BuildArch:	noarch
Requires:	python-qt4
Requires:	python-opencv >= 2.1
Requires:	python-matplotlib-qt4
Requires:       ffmpeg
Requires:	vlc
Suggests:       libreoffice-pyuno
Suggests:	gnuplot
License:	GPLv3 

%description
Pedagogic tool to analyze video records for mechanics.
You can track the movement of one or many points in video frames and export
the position measurements to standard analysis tools.

%prep 
%setup -q -n %{version}

%build 
pushd src
%make
popd
python setup.py build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications 
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
mkdir %{buildroot}%{py_puresitedir}/%{name}/help/
cp data/help/* %{buildroot}%{py_puresitedir}/%{name}/help/

cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
python %{py_puresitedir}/pymecavideo/pymecavideo.py 
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}/%_docdir/HTML/fr/pymecavideo/
cp -r %{buildroot}%{py_puresitedir}/%{name}/help/*.png %{buildroot}/%{_docdir}/HTML/fr/pymecavideo/
cp -r %{buildroot}%{py_puresitedir}/%{name}/help/*.css %{buildroot}/%{_docdir}/HTML/fr/pymecavideo/
cp -r %{buildroot}%{py_puresitedir}/%{name}/help/help-fr.* %{buildroot}/%{_docdir}/HTML/fr/pymecavideo/

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=Tool to analyze video records
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Physics;
EOF

cp data/icones/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%lang(fr) %{_docdir}/HTML/fr/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 6.0-2.mga3
+ Revision: 378417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 dams <dams> 6.0-1.mga3
+ Revision: 311414
- new version 6.0
- clean specfile
- add .desktop file
- add icon
- update %%summary and %%description

* Sun Jul 17 2011 ofaurax <ofaurax> 5.4-2.mga2
+ Revision: 125396
- Fixed description in english

* Sat Jul 16 2011 ofaurax <ofaurax> 5.4-1.mga2
+ Revision: 124735
- imported package pymecavideo

